Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be unavailable on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1492371 - file pointer assumed not NULL in 0001-Port-from-xauth-to-libXau.patch
Summary: file pointer assumed not NULL in 0001-Port-from-xauth-to-libXau.patch
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: sddm
Version: 26
Hardware: x86_64
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: Jiri Eischmann
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-09-16 23:31 UTC by Justin VanDeBrake
Modified: 2018-05-29 12:47 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-05-29 12:47:23 UTC
Type: Bug


Attachments (Terms of Use)

Description Justin VanDeBrake 2017-09-16 23:31:31 UTC
Description of problem:
sddm cores due to a null pointer being passed to src/daemon/XorgDisplayServer.cpp:90 SDDM::XorgDisplayServer::addCookie.
addCookie calls XauWriteAuth on line 127 which assumes the file pointer is not NULL.  The file pointer is checked for null on line 123, but no action is taken to prevent that null file pointer from being passed to XauWriteAuth.

This code was added by the 0001-Port-from-xauth-to-libXau.patch in sddm-0.14.0-14

Version-Release number of selected component (if applicable):
fedora 26: sddm-0.14.0-14.x86_64

How reproducible:
Always

Steps to Reproduce:
1. On a fedora 26 install without a running display server create a non-root user.  
# useradd testuser
2. switch to this user
# su - testuser
3. Start sddm from the command line.
$ sddm

Actual results:
sddm cores.

Expected results:
sddm does not core.

Additional info:

Comment 1 Martin Bříza 2017-10-03 15:06:50 UTC
Hey,
thanks for noticing. I'm stupid for not putting the return there, the branch is even prepared for that. I'm going to fix that right away.

Comment 3 Fedora End Of Life 2018-05-03 08:31:05 UTC
This message is a reminder that Fedora 26 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 26. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '26'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 26 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 4 Fedora End Of Life 2018-05-29 12:47:23 UTC
Fedora 26 changed to end-of-life (EOL) status on 2018-05-29. Fedora 26
is no longer maintained, which means that it will not receive any
further security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.